summaryrefslogtreecommitdiffstats
path: root/graphics/tesseract
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-11 20:00:39 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:39 +0200
commit14b8caa20fc116712e1e63d13b084ac26c220315 (patch)
tree7054f5be33fdb33c34d5b08095879fea83dfbdd8 /graphics/tesseract
parent6554387e19978d27d3c521f8e07f9a949d59d3c7 (diff)
downloadslackbuilds-14b8caa20fc116712e1e63d13b084ac26c220315.tar.gz
slackbuilds-14b8caa20fc116712e1e63d13b084ac26c220315.tar.xz
graphics/tesseract: Added to 12.0 repository
Diffstat (limited to 'graphics/tesseract')
-rw-r--r--graphics/tesseract/README20
-rw-r--r--graphics/tesseract/slack-desc19
-rw-r--r--graphics/tesseract/tesseract.SlackBuild84
-rw-r--r--graphics/tesseract/tesseract.info8
4 files changed, 131 insertions, 0 deletions
diff --git a/graphics/tesseract/README b/graphics/tesseract/README
new file mode 100644
index 0000000000..31bfc8b694
--- /dev/null
+++ b/graphics/tesseract/README
@@ -0,0 +1,20 @@
+Tesseract is a commercial quality OCR engine originally developed at HP
+between 1985 and 1995. In 1995, this engine was among the top 3 evaluated
+by UNLV. It was open-sourced by HP and UNLV in 2005.
+
+You will need to get one of the language packs in order to do anything
+useful with tesseract, and that language pack tarball should be present
+in the same directory as the SlackBuild script when the package is created.
+See http://code.google.com/p/tesseract-ocr/downloads/list for a list of
+all available language packs. Note that you can install more than one
+(or even all) of the language packs, as they do not conflict with each
+other. The build script defaults to use English, but this is easily
+changed by passing an alternate value on the command line.
+Here is the relevant code from the build script:
+ # Language pack(s) to use
+ # We'll install English by default, but you can pass another one (or all)
+ # of them on the command line (space delimited). If you pass more than one
+ # (again, space delimited), you must enclose the string in quotes. Examples:
+ # TESSLANG=fra ./tesseract.SlackBuild
+ # TESSLANG="deu eng fra ita nld spa" ./tesseract.SlackBuild
+ TESSLANG=${TESSLANG:-eng} # Default to English
diff --git a/graphics/tesseract/slack-desc b/graphics/tesseract/slack-desc
new file mode 100644
index 0000000000..fee08822d3
--- /dev/null
+++ b/graphics/tesseract/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+tesseract: Tesseract (OCR Engine)
+tesseract:
+tesseract: Tesseract is a commercial quality OCR engine originally developed
+tesseract: at HP between 1985 and 1995. In 1995, this engine was among the
+tesseract: top 3 evaluated by UNLV. It was open-sourced by HP and UNLV in
+tesseract: 2005.
+tesseract:
+tesseract: http://code.google.com/p/tesseract-ocr/
+tesseract:
+tesseract:
+tesseract:
diff --git a/graphics/tesseract/tesseract.SlackBuild b/graphics/tesseract/tesseract.SlackBuild
new file mode 100644
index 0000000000..bfc36e41bd
--- /dev/null
+++ b/graphics/tesseract/tesseract.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Pierre Cazenave revision date 10/11/2007
+# Modified by Robby Workman <rworkman@slackbuilds.org> for better
+# consistency with our other scripts
+
+PRGNAM=tesseract
+VERSION=2.01
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Language pack(s) to use
+# We'll install English by default, but you can pass another one (or all)
+# of them on the command line (space delimited). If you pass more than one
+# (again, space delimited), you must enclose the string in quotes. Examples:
+# TESSLANG=fra ./tesseract.SlackBuild
+# TESSLANG="deu eng fra ita nld spa" ./tesseract.SlackBuild
+TESSLANG=${TESSLANG:-eng} # Default to English
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+
+# Let's extract the desired language tarballs
+for _language in $(echo "$TESSLANG") ; do
+ if [ -r $CWD/tesseract-2.00.$_language.tar.gz ]; then
+ tar xf $CWD/tesseract-2.00.$_language.tar.gz
+ SUCCESS=yes
+ else
+ echo "$CWD/tesseract-2.00.$_language.tar.gz not found."
+ sleep 5
+ fi ;
+done
+if [ ! "$SUCCESS" = "yes" ]; then
+ echo "No language packs were found, so this package will not work as is."
+ echo "See $CWD/README for more information."
+ exit 1
+fi
+
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README ReleaseNotes \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/tesseract/tesseract.info b/graphics/tesseract/tesseract.info
new file mode 100644
index 0000000000..de9f56aac5
--- /dev/null
+++ b/graphics/tesseract/tesseract.info
@@ -0,0 +1,8 @@
+PRGNAM="tesseract"
+VERSION="2.01"
+HOMEPAGE="http://code.google.com/p/tesseract-ocr/"
+DOWNLOAD="http://tesseract-ocr.googlecode.com/files/tesseract-2.01.tar.gz"
+MD5SUM="fb0e6e7652b985049c11a4bc8e593885"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave@gmail.com"
+APPROVED="rworkman"